

import 'package:flutter/material.dart';
import 'package:responsive_builder/responsive_builder.dart';

import '../constants.dart';
import '../widgets/desktop/desktop_my_support.dart';
import '../widgets/mobile/mobile_my_support.dart';

class MySupport extends StatelessWidget {
  final Key? key;
  final int businessId;

  const MySupport({this.key, int businessId}) :
      businessId = businessId ?? Constants.BUSINESS_ID;

  @override
  Widget build(BuildContext context) {
    return ResponsiveBuilder(
      builder: (context, sizingInformation) =>
        ScreenTypeLayout(
          mobile: MobileMySupport(businessId: businessId,),
          tablet: DesktopMySupport(businessId: businessId,),
          desktop: DesktopMySupport(businessId: businessId,),
        ),
    );
  }

}